FROM gitlab-registry.cern.ch/db/batch/ci-scheduler-image/nomad-deployer-v1.2.5:latest

USER root

COPY /nomadcli/requirements.txt .
RUN pip3 install -r requirements.txt
ADD /nomadcli/scripts /etc/sparkci-scripts
COPY /nomadcli/spark_job.hcl /etc/nomad-job-templates/
RUN chgrp -R nomad /etc/sparkci-scripts && chmod -R g+w /etc/sparkci-scripts

USER nomad
